Go to the latest version of this document.

# ``twisted`.`positioning`.`base`.`PositioningBeacon``

class documentation

`class PositioningBeacon: (source)`

Known subclasses: `twisted.positioning.base.Satellite`

Constructor: `PositioningBeacon(identifier)`

Implements interfaces: `twisted.positioning.ipositioning.IPositioningBeacon`

View In Hierarchy

A positioning beacon.

Method | `__hash__` | Returns the hash of the identifier for this beacon.
Method | `__init__` | Initializes a positioning beacon.
Method | `__repr__` | Returns a string representation of this beacon.
Instance Variable | `identifier` | The unique identifier for this beacon. This is usually an integer. For GPS, this is also known as the PRN.

def __hash__(self): (source)

Returns the hash of the identifier for this beacon.

Returns
`int` | The hash of the identifier. (`hash(self.identifier)`)

def __init__(self, identifier): (source)
overridden in `twisted.positioning.base.Satellite`

Initializes a positioning beacon.

Parameters
identifier:Can be pretty much anything (see ivar documentation). | The identifier for this beacon.

def __repr__(self) -> `str`: (source)
overridden in `twisted.positioning.base.Satellite`

Returns a string representation of this beacon.

Returns
`str` | The string representation.

identifier: Pretty much anything that can be used as a unique identifier. Depends on the implementation. = (source)
from `twisted.positioning.ipositioning.IPositioningBeacon`

The unique identifier for this beacon. This is usually an integer. For GPS, this is also known as the PRN.